Returns a single filter by its identifier for the current user.

GEThttps://api.awork.com/api/v1/me/filters/{filterId}
GET https://api.awork.com/api/v1/me/filters/{filterId}

Returns the filter if the current user has read access.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

filterIdstringRequired
format: uuid

The filter identifier.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the entity.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

namestring or nullOptional

The name of the filter.

filterDefinitionobjectOptional

The structured filter representation of a filter query.

Show 3 properties
conditionGroupsarray of object or nullOptional

The condition groups within the filter definition.

Show 2 properties
conditionsarray of object or nullOptional

A list of conditions within this condition group.

Show 5 properties
fieldstring or nullOptional

The field to filter on. For collection fields, use the full path including the inner field (e.g., "tags/id", "assignees/id").

typestringOptional

Allowed: "Comparison" "Collection" "CustomField"

The type of condition.

operatorstringOptional

Allowed: "Equal" "NotEqual" "GreaterThan" "GreaterThanOrEqual" "LessThan" "LessThanOrEqual" "Contains" "DoesNotContain" "Between" "IsSet" "IsNotSet" "WithinThisWeek" "WithinThisMonth"

The supported operators for a filter condition. These operators map directly to UI filter options.

valuesarray of object or nullOptional

The values for this condition. Usage depends on operator:

  • Single-value operators (Equal, NotEqual, etc.): Use Values[0]
  • Multi-value operators (In): Use all Values
  • Range operators (Between): Use Values[0] as start, Values[1] as end
  • No-value operators (IsSet, IsNotSet, WithinThisWeek, WithinThisMonth): Values is null or empty
Show 4 properties
constantValueanyOptional

The constant value.

filterValueKindstringOptional

Allowed: "Constant" "Computed"

The kind of the value in the context of a Awork.Core.Models.Filters.FilterDefinition.Condition.Value.FilterValue, either 'Constant' or 'Computed'.

computedValueKindstring or nullOptional

Allowed: "Me" "Now" "Today" "EndOfWeek" "EndOfMonth" "StartOfWeek" "StartOfMonth" null

The kind of computed value in the context of a Awork.Core.Models.Filters.FilterDefinition.Condition.Value.FilterValue. These represent actual VALUES that can be used with operators (e.g., "dueOn eq today", "dueOn ge sow"). Note: WithinThisWeek and WithinThisMonth are operators (Operator enum), not values.

daysOffsetinteger or nullOptional
format: int32

The offset for the computed value, if the value is computed and is of kind 'Today'. Only need for Today computations for now.

customFieldInformationobjectOptional
Show 2 properties
customFieldDefinitionIdstringOptional
format: uuid

The custom field definition id.

customFieldValueTypestringOptional

Allowed: "UserId" "Number" "SelectionOptionId" "Text" "Date" "Boolean" "Client"

The supported types of custom field values.

connectorstringOptional

Allowed: "And" "Or"

The connector connecting condition groups or conditions within a Awork.Core.Models.Filters.FilterDefinition.FilterDefinition.

rootConnectorstringOptional

Allowed: "And" "Or"

The connector connecting condition groups or conditions within a Awork.Core.Models.Filters.FilterDefinition.FilterDefinition.

entityTypestring or nullOptional

The entity type to filter on (e.g. "tasks", "projects", "companies", "users").

isExternalbooleanOptional

Whether this filter is coming from an external workspace (awork Connect).

entityTypestring or nullOptional

The entity type this filter targets. Can be 'projects', 'tasks', 'companies', 'users'.

userIdstringOptional
format: uuid

The id of the user this filter was created for.

filterQuerystring or nullOptional

The OData- query string that will be applied for querying this filter's underlying data type.

workspaceAccessLevelstring or nullOptional

Determines the level of access to this filter granted to all workspace users. Can be either not set (no access), read, or manage.

contributorsarray of object or nullOptional

The users explicitly connected to this filter.

Show 7 properties
idstringOptional
format: uuid

The id of the contributor.

userIdstringOptional
format: uuid

The id of the user this contributor references.

accessLevelstring or nullOptional

Determines the level of access granted to this contributor with respect to the specific entity. Can be either set to read or manage.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether the user has an image.

isDeactivatedbooleanOptional

Whether the user is deactivated.

teamsarray of object or nullOptional

The teams explicitly connected to this filter.

Show 6 properties
idstringOptional
format: uuid

The id of the entity to team.

teamIdstringOptional
format: uuid

The id of the team this entity to team references.

accessLevelstring or nullOptional

Determines the level of access granted to this entity to team with respect to the specific entity. Can be either set to read or manage.

namestring or nullOptional

The name of the team.

iconstring or nullOptional

The icon which is assigned to the team.

colorstring or nullOptional

The color of the team.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation